upstream wger {
    server 127.0.0.1:8000;
}

server {
    listen 8080;

    client_body_temp_path /tmp/client_body 1 2;
    proxy_temp_path /tmp/proxy 1 2;
    fastcgi_temp_path /tmp/fastcgi 1 2;
    uwsgi_temp_path /tmp/uwsgi 1 2;
    scgi_temp_path /tmp/scgi 1 2;

    location = /api/v2/register {
        return 404;
    }

    location / {
        proxy_pass http://wger;
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Host $host;
        proxy_redirect off;
    }

    location /static/ {
        alias /wger/static/;
    }

    location /media/ {
        alias /wger/media/;
    }

    client_max_body_size 100M;
}
